> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Post Series

<Note>
  **OAuth scope:** `memberships_read`

  API keys have full access to this endpoint.
</Note>


## OpenAPI

````yaml /openapi/membership.json GET /open-api/v1.1/memberships/series/posts
openapi: 3.1.0
info:
  title: OpenAPI
  version: 0.0.1
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
paths:
  /open-api/v1.1/memberships/series/posts:
    get:
      tags:
        - Series
      summary: List Post Series
      operationId: list-post-series
      parameters:
        - name: X-ShopId
          in: header
          required: false
          schema:
            type: string
        - name: page
          in: query
          required: true
          schema:
            type: integer
        - name: limit
          in: query
          required: true
          schema:
            type: integer
        - name: postsType
          in: query
          required: true
          schema:
            type: string
            enum:
              - video
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response.V2.Series.Posts'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response.Common.Error.Validation'
      security:
        - oauth:
            - memberships_read
        - basicAuth: []
components:
  schemas:
    Response.V2.Series.Posts:
      type: object
      properties:
        series:
          type: array
          items:
            $ref: '#/components/schemas/Response.V2.Series.Post'
        pagination:
          $ref: '#/components/schemas/Response.V2.Pagination'
      required:
        - series
        - pagination
      title: Posts
    Response.Common.Error.Validation:
      type: object
      properties:
        parameters:
          type: object
          example: '{ "post_id": [ "is missing" ] }'
        body:
          type: object
          example: '{ "discount": { "percentOff": [ "is missing" ] } }'
      title: Validation
    Response.V2.Series.Post:
      type: object
      properties:
        id:
          type: integer
        title:
          type: string
        description:
          type: string
        coverImage:
          type: object
          properties:
            url:
              type: string
          required:
            - url
        thumbnail:
          type: object
          properties:
            url:
              type: string
          required:
            - url
        episodesCount:
          type: integer
        postsIds:
          type: array
          items:
            type: integer
      required:
        - id
        - title
        - episodesCount
        - postsIds
      title: Post
    Response.V2.Pagination:
      type: object
      properties:
        pages:
          type: integer
        limit:
          type: integer
        page:
          type: integer
        total:
          type: integer
      required:
        - pages
        - limit
        - page
        - total
      title: Pagination
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://auth.staging.fourthwall.com/auth/realms/Fourthwall/protocol/openid-connect/auth
          scopes:
            memberships_read: memberships_read
            memberships_write: memberships_write
    basicAuth:
      type: http
      scheme: basic

````